gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.EmblemedIcon

Contents

- Exported types
- Methods
  - addEmblem
  - clearEmblems
  - getEmblems
  - getIcon
  - new
- Properties
  - gicon

Description

`EmblemedIcon` is an implementation of `Icon` that supports adding an emblem to an icon. Adding multiple emblems to an icon is ensured via `emblemedIconAddEmblem`.

Note that `EmblemedIcon` allows no control over the position of the emblems. See also `Emblem` for more information.

Synopsis

- newtype EmblemedIcon = EmblemedIcon (ManagedPtr EmblemedIcon)
- class GObject o => IsEmblemedIcon o
- toEmblemedIcon :: (MonadIO m, IsEmblemedIcon o) => o -> m EmblemedIcon
- noEmblemedIcon :: Maybe EmblemedIcon
- emblemedIconAddEmblem :: (HasCallStack, MonadIO m, IsEmblemedIcon a, IsEmblem b) => a -> b -> m ()
- emblemedIconClearEmblems :: (HasCallStack, MonadIO m, IsEmblemedIcon a) => a -> m ()
- emblemedIconGetEmblems :: (HasCallStack, MonadIO m, IsEmblemedIcon a) => a -> m [Emblem]
- emblemedIconGetIcon :: (HasCallStack, MonadIO m, IsEmblemedIcon a) => a -> m Icon
- emblemedIconNew :: (HasCallStack, MonadIO m, IsIcon a, IsEmblem b) => a -> Maybe b -> m EmblemedIcon
- constructEmblemedIconGicon :: (IsEmblemedIcon o, IsIcon a) => a -> IO (GValueConstruct o)
- getEmblemedIconGicon :: (MonadIO m, IsEmblemedIcon o) => o -> m (Maybe Icon)

# Exported types

newtype EmblemedIcon Source #

Memory-managed wrapper type.

Constructors

EmblemedIcon (ManagedPtr EmblemedIcon) |

Instances

GObject EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon Methods gobjectType :: EmblemedIcon -> IO GType Source #
IsObject EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon
IsIcon EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon
IsEmblemedIcon EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon

class GObject o => IsEmblemedIcon o Source #

Type class for types which can be safely cast to `EmblemedIcon`, for instance with `toEmblemedIcon`.

Instances

(GObject a, (UnknownAncestorError EmblemedIcon a :: Constraint)) => IsEmblemedIcon a Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon
IsEmblemedIcon EmblemedIcon Source # |
Instance details Defined in GI.Gio.Objects.EmblemedIcon

toEmblemedIcon :: (MonadIO m, IsEmblemedIcon o) => o -> m EmblemedIcon Source #

Cast to `EmblemedIcon`, for types for which this is known to be safe. For general casts, use `castTo`.

noEmblemedIcon :: Maybe EmblemedIcon Source #

A convenience alias for `Nothing` :: `Maybe` `EmblemedIcon`.

# Methods

## addEmblem

emblemedIconAddEmblem Source #

Arguments

:: (HasCallStack, MonadIO m, IsEmblemedIcon a, IsEmblem b) |
=> a | `emblemed`: a `EmblemedIcon`
-> b | `emblem`: a `Emblem`
-> m () |

Adds `emblem` to the `List` of `GEmblems`.

Since: 2.18

## clearEmblems

emblemedIconClearEmblems Source #

Arguments

:: (HasCallStack, MonadIO m, IsEmblemedIcon a) |
=> a | `emblemed`: a `EmblemedIcon`
-> m () |

Removes all the emblems from `icon`.

Since: 2.28

## getEmblems

emblemedIconGetEmblems Source #

Arguments

:: (HasCallStack, MonadIO m, IsEmblemedIcon a) |
=> a | `emblemed`: a `EmblemedIcon`
-> m [Emblem] | Returns: a `List` of `GEmblems` that is owned by `emblemed`

Gets the list of emblems for the `icon`.

Since: 2.18

## getIcon

emblemedIconGetIcon Source #

Arguments

:: (HasCallStack, MonadIO m, IsEmblemedIcon a) |
=> a | `emblemed`: a `EmblemedIcon`
-> m Icon | Returns: a `Icon` that is owned by `emblemed`

Gets the main icon for `emblemed`.

Since: 2.18

## new

emblemedIconNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsIcon a, IsEmblem b) |
=> a | `icon`: a `Icon`
-> Maybe b | `emblem`: a `Emblem`, or `Nothing`
-> m EmblemedIcon | Returns: a new `Icon`

Creates a new emblemed icon for `icon` with the emblem `emblem`.

Since: 2.18

# Properties

## gicon

No description available in the introspection data.

constructEmblemedIconGicon :: (IsEmblemedIcon o, IsIcon a) => a -> IO (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`gicon`” property. This is rarely needed directly, but it is used by `new`.

getEmblemedIconGicon :: (MonadIO m, IsEmblemedIcon o) => o -> m (Maybe Icon) Source #

Get the value of the “`gicon`” property. When overloading is enabled, this is equivalent to

    get emblemedIcon #gicon